# $Id: Makefile,v 1.10 2007/01/11 01:07:38 layer Exp $

SOURCE_FILES = Makefile *.cl zips.csv readme.txt zipcodes.asd

default: all

include ../makefile.include

all: zipcodes.fasl

zipcodes.fasl: zip-package.fasl zip-util.fasl zip-api.fasl
	cat zip-package.fasl zip-api.fasl > zipcodes.fasl

zip-package.fasl: ../measures/measures.fasl
zip-api.fasl: ../measures/measures.fasl

install: FORCE
	-mv -f /usr/local/lisp/code/zipcodes.fasl \
	       /usr/local/lisp/code/zipcodes.fasl.old
	cp -p zipcodes.fasl /usr/local/lisp/code/

clean: FORCE
	rm -f *.fasl

FORCE:
